<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-forms](./foundation-forms.md) &gt; [RendererEntry](./foundation-forms.rendererentry.md)

## RendererEntry type

Defines a renderer configuration in JSON forms. Allows to specify the renderer component, a tester function to determine renderer applicability, and a mapper function to connect JSON forms state to renderer's props.

**Signature:**

```typescript
export type RendererEntry = {
    renderer: ViewTemplate<DispatchRenderer, any>;
    tester: RankedTester;
    mapper: (state: JsonFormsState, ownProps: OwnPropsOfControl) => StatePropsOfControl;
};
```

## Example

Here's a simple example:

```
const stringEntry: RendererEntry = {
renderer: StringControlRendererTemplate,
tester: rankWith(2, isStringControl),
mapper: mapStateToControlProps,
};
```

